Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.test
Class SEEDTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.jce.provider.test.BaseBlockCipherTest
              org.bouncycastle.jce.provider.test.SEEDTest

All Implemented Interfaces:
  Test

    public class SEEDTest

extends BaseBlockCipherTest

basic test class for SEED

Constructor Summary
`SEEDTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `performTest()`
`void` `test(int strength, byte[] keyBytes, byte[] input, byte[] output)`

Methods inherited from class org.bouncycastle.jce.provider.test.BaseBlockCipherTest
`getName, oidTest, wrapOidTest, wrapTest`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEEDTest

    public SEEDTest()

Method Detail

### test

    public void test(int strength,
                     byte[] keyBytes,
                     byte[] input,
                     byte[] output)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### performTest

    public void performTest()
                     throws java.lang.Exception

  Specified by:
    `performTest` in class `SimpleTest`
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.45